Index: samples/android/tutorial-0-androidcamera/src/org/opencv/samples/tutorial0/SampleViewBase.java
===================================================================
--- samples/android/tutorial-0-androidcamera/src/org/opencv/samples/tutorial0/SampleViewBase.java	(revision 7674)
+++ samples/android/tutorial-0-androidcamera/src/org/opencv/samples/tutorial0/SampleViewBase.java	(working copy)
@@ -62,7 +62,12 @@
             params.setPreviewSize(getFrameWidth(), getFrameHeight());
             mCamera.setParameters(params);
             if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
-            	mCamera.setPreviewTexture( new SurfaceTexture(10) );
+            	
+				try {
+					mCamera.setPreviewTexture( new SurfaceTexture(10) );
+				} catch (IOException e) {
+					Log.e(TAG, "mCamera.setPreviewTexture fails: " + e);
+				}
             } else {
 	            try {
 					mCamera.setPreviewDisplay(null);
Index: samples/android/tutorial-1-addopencv/src/org/opencv/samples/tutorial1/SampleViewBase.java
===================================================================
--- samples/android/tutorial-1-addopencv/src/org/opencv/samples/tutorial1/SampleViewBase.java	(revision 7674)
+++ samples/android/tutorial-1-addopencv/src/org/opencv/samples/tutorial1/SampleViewBase.java	(working copy)
@@ -62,7 +62,11 @@
             params.setPreviewSize(getFrameWidth(), getFrameHeight());
             mCamera.setParameters(params);
             if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
-            	mCamera.setPreviewTexture( new SurfaceTexture(10) );
+            	try {
+					mCamera.setPreviewTexture( new SurfaceTexture(10) );
+				} catch (IOException e) {
+					Log.e(TAG, "mCamera.setPreviewTexture fails: " + e);
+				}
             } else {
 	            try {
 					mCamera.setPreviewDisplay(null);
Index: samples/android/tutorial-3-native/src/org/opencv/samples/tutorial3/SampleViewBase.java
===================================================================
--- samples/android/tutorial-3-native/src/org/opencv/samples/tutorial3/SampleViewBase.java	(revision 7674)
+++ samples/android/tutorial-3-native/src/org/opencv/samples/tutorial3/SampleViewBase.java	(working copy)
@@ -62,7 +62,11 @@
             params.setPreviewSize(getFrameWidth(), getFrameHeight());
             mCamera.setParameters(params);
             if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
-            	mCamera.setPreviewTexture( new SurfaceTexture(10) );
+            	try {
+					mCamera.setPreviewTexture( new SurfaceTexture(10) );
+				} catch (IOException e) {
+					Log.e(TAG, "mCamera.setPreviewTexture fails: " + e);
+				}
             } else {
 	            try {
 					mCamera.setPreviewDisplay(null);
Index: samples/android/tutorial-4-mixed/src/org/opencv/samples/tutorial4/SampleViewBase.java
===================================================================
--- samples/android/tutorial-4-mixed/src/org/opencv/samples/tutorial4/SampleViewBase.java	(revision 7674)
+++ samples/android/tutorial-4-mixed/src/org/opencv/samples/tutorial4/SampleViewBase.java	(working copy)
@@ -62,7 +62,11 @@
             params.setPreviewSize(getFrameWidth(), getFrameHeight());
             mCamera.setParameters(params);
             if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
-            	mCamera.setPreviewTexture( new SurfaceTexture(10) );
+            	try {
+					mCamera.setPreviewTexture( new SurfaceTexture(10) );
+				} catch (IOException e) {
+					Log.e(TAG, "mCamera.setPreviewTexture fails: " + e);
+				}
             } else {
 	            try {
 					mCamera.setPreviewDisplay(null);
